> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar tag

> Cria uma tag vinculada à inbox informada, com cor e visibilidade por módulos.



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json post /tag/
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /tag/:
    post:
      tags:
        - Tags
      summary: Criar tag
      description: >-
        Cria uma tag vinculada à inbox informada, com cor e visibilidade por
        módulos.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Nome da tag.
                color:
                  type: string
                  description: 'Cor da tag (ex.: código hexadecimal).'
                inboxId:
                  type: string
                  description: ID da inbox onde a tag será criada.
                modules:
                  type: array
                  items:
                    type: string
                    enum:
                      - crm
                      - conversas
                      - pessoas
                      - fast-messages
                  description: >-
                    Módulos onde a tag estará disponível: crm, conversas,
                    pessoas ou fast-messages.
              required:
                - name
                - color
                - inboxId
                - modules
              additionalProperties: false
        required: true
      responses:
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: ID da tag criada.
                  name:
                    type: string
                    description: Nome da tag.
                  color:
                    type: string
                    description: Cor da tag.
                  inboxId:
                    type: string
                    description: ID da inbox à qual a tag está vinculada.
                  officeId:
                    type: string
                    description: ID do escritório ao qual a tag pertence.
                  modules:
                    type: array
                    items:
                      type: string
                      enum:
                        - crm
                        - conversas
                        - pessoas
                        - fast-messages
                    description: Módulos onde a tag está disponível.
                  createdAt:
                    type: string
                    format: date-time
                    description: Data e hora de criação.
                  updatedAt:
                    type: string
                    format: date-time
                    description: Data e hora da última atualização.
                required:
                  - id
                  - name
                  - color
                  - inboxId
                  - officeId
                  - modules
                  - createdAt
                  - updatedAt
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````